
AC_DEFUN(AC_CHECK_SIAG,
[
dnl Somehow we must be able to set NDBM even if no libdb exists (Solaris)
dnl Try libdb first, then libgdbm, then libndbm
AC_CHECK_LIB(db, main, LIBDB="-ldb",
	AC_CHECK_LIB(gdbm, main, LIBDB="-lgdbm",
		AC_CHECK_LIB(ndbm, main, LIBDB="-lndbm")))
if test "$LIBDB" != ""; then
	LIBS="$LIBDB $LIBS"
fi
AC_CHECK_FUNC(dbm_dirfno, AC_DEFINE(HAVE_DBM_DIRFNO))
AC_CHECK_FUNC(dbm_pagfno, AC_DEFINE(HAVE_DBM_PAGFNO))
AC_CHECK_FUNC(dbm_rdonly, AC_DEFINE(HAVE_DBM_RDONLY))
AC_CHECK_FUNC(dbm_open, NDBM="-DNDBM")
AC_SUBST(NDBM)
dnl AC_SUBST(LIBDB)

AC_CHECK_LIB(m, main)

dnl Check what math functions we have
AC_CHECK_FUNC(acosh, AC_DEFINE(HAVE_ACOSH))
AC_CHECK_FUNC(asinh, AC_DEFINE(HAVE_ASINH))
AC_CHECK_FUNC(log1p, AC_DEFINE(HAVE_LOG1P))
AC_CHECK_FUNC(expm1, AC_DEFINE(HAVE_EXPM1))
AC_CHECK_FUNC(cbrt, AC_DEFINE(HAVE_CBRT))
AC_CHECK_FUNC(drem, AC_DEFINE(HAVE_DREM))

AC_CHECK_LIB(crypt, main, [LIBSYSDEP="-lcrypt"])
if test "$LIBSYSDEP" = ""; then
	AC_CHECK_LIB(posix4, main, [LIBSYSDEP="-lposix4"])
	if test "$LIBSYSDEP" = ""; then
		LIBSYSDEP=""
	fi
fi
AC_SUBST(LIBSYSDEP)

dnl SIOD
AC_CHECK_HEADERS(sys/mode.h fnmatch.h crypt.h sys/mkdev.h fcntl.h)

AC_CHECK_FUNCS(setpwfile getrlimit getrusage fnmatch \
		usleep lchown strptime putpwent)

dnl Guile and Tcl

AC_CHECK_LIB(dl, main, LIBDL="-ldl")
AC_SUBST(LIBDL)

AC_CHECK_LIB(guile, main, [LIBGUILE="-lguile"], , $LIBMATH $LIBDL)
if test "$LIBGUILE" = "-lguile"; then
	GUILE="-DGUILE"
fi
AC_SUBST(GUILE)
AC_SUBST(LIBGUILE)

AC_CHECK_LIB(tcl, Tcl_Main, LIBTCL="-ltcl", , $LIBMATH $LIBDL)
if test "$LIBTCL" = "-ltcl"; then
	TCL="-DTCL"
fi
AC_SUBST(TCL)
AC_SUBST(LIBTCL)

dnl No Perl
LIBPERL=""
AC_SUBST(LIBPERL)

dnl This is insane...
ac_save_LDFLAGS="$LDFLAGS"
LDFLAGS="$LDFLAGS $X_LIBS"
AC_CHECK_LIB(Xext, main, [LIBXEXT="-lXext"], , $X_PRE_LIBS $X_EXTRA_LIBS $X_EXTRA_LIBS -lXt -lX11)
AC_SUBST(LIBXEXT)

AC_CHECK_LIB(Xmu, main, [LIBXMU="-lXmu"], , $LIBXEXT $X_PRE_LIBS $X_EXTRA_LIBS $X_EXTRA_LIBS -lXt -lX11)
AC_SUBST(LIBXMU)
LDFLAGS=$ac_save_LDFLAGS

if test "$GCC" = "yes"; then
	CFLAGS="-Wall $CFLAGS"
fi
])

dnl Stuff from topdir.mk

AC_SUBST(SIAG_HOME)
AC_SUBST(SIAG_DOCS)
AC_SUBST(SIAG_HELP)
AC_SUBST(XAWLIB)
AC_SUBST(PERL)
AC_SUBST(PERLINC)
AC_SUBST(CURSES)

